org.eclipse.jsch.core

## Class AbstractIdentityRepositoryFactory

- java.lang.Object
- - org.eclipse.jsch.core.AbstractIdentityRepositoryFactory

    public abstract class AbstractIdentityRepositoryFactory
    extends Object

This class abstracts the communications with the identity repository, and will be mainly used for ssh-agent.

Since:
  1.2

### Constructor Summary

Constructors
Constructor and Description
`AbstractIdentityRepositoryFactory()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract com.jcraft.jsch.IdentityRepository` `create()` This method will return an instance of `com.jcraft.com.jsch.IdentityRepository`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractIdentityRepositoryFactory

    public AbstractIdentityRepositoryFactory()

### Method Detail

#### create

    public abstract com.jcraft.jsch.IdentityRepository create()

This method will return an instance of `com.jcraft.com.jsch.IdentityRepository`. The ssh client will retrieve public keys from it, ask for signing data with a private key included in it.

Returns:
  an instance of `IdentityRepository`